import { SvelteComponentTyped } from "svelte";
import type { RecordListQueryParams } from 'pocketbase';
declare const __propDef: {
    props: {
        collection: string;
        filter: string;
        query?: RecordListQueryParams | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        loading: {};
        default: {
            record: import("pocketbase").Record;
        };
        error: {
            error: any;
        };
    };
};
export type FirstListItemProps = typeof __propDef.props;
export type FirstListItemEvents = typeof __propDef.events;
export type FirstListItemSlots = typeof __propDef.slots;
export default class FirstListItem extends SvelteComponentTyped<FirstListItemProps, FirstListItemEvents, FirstListItemSlots> {
}
export {};
