import { SvelteComponentTyped } from "svelte";
import type { Record } from 'pocketbase';
declare const __propDef: {
    props: {
        items: Record[];
        pages?: number[] | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {
            item: Record;
        };
        pages: {
            pageNumber: number;
        };
    };
};
export type PaginationProps = typeof __propDef.props;
export type PaginationEvents = typeof __propDef.events;
export type PaginationSlots = typeof __propDef.slots;
export default class Pagination extends SvelteComponentTyped<PaginationProps, PaginationEvents, PaginationSlots> {
}
export {};
