import { SvelteComponentTyped } from "svelte";
import type { RecordListQueryParams } from 'pocketbase';
declare const __propDef: {
    props: {
        collection: string;
        batch?: number | undefined;
        query?: RecordListQueryParams | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        loading: {};
        default: {
            records: import("pocketbase").Record[];
        };
        error: {
            error: any;
        };
    };
};
export type FullListProps = typeof __propDef.props;
export type FullListEvents = typeof __propDef.events;
export type FullListSlots = typeof __propDef.slots;
export default class FullList extends SvelteComponentTyped<FullListProps, FullListEvents, FullListSlots> {
}
export {};
