import { SvelteComponentTyped } from "svelte";
import type { RecordListQueryParams } from 'pocketbase';
declare const __propDef: {
    props: {
        collection: string;
        page?: number | undefined;
        perPage?: number | undefined;
        query?: RecordListQueryParams | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        loading: {};
        default: {
            records: import("pocketbase").ListResult<import("pocketbase").Record>;
            items: import("pocketbase").Record[];
            pages: number[];
        };
        error: {
            error: any;
        };
    };
};
export type ListProps = typeof __propDef.props;
export type ListEvents = typeof __propDef.events;
export type ListSlots = typeof __propDef.slots;
export default class List extends SvelteComponentTyped<ListProps, ListEvents, ListSlots> {
}
export {};
