import { SvelteComponentTyped } from "svelte";
import type { RecordListQueryParams } from 'pocketbase';
declare const __propDef: {
    props: {
        collection: string;
        id: string;
        query?: RecordListQueryParams | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        loading: {};
        default: {
            record: import("pocketbase").Record;
        };
        error: {
            error: any;
        };
    };
};
export type RecordProps = typeof __propDef.props;
export type RecordEvents = typeof __propDef.events;
export type RecordSlots = typeof __propDef.slots;
export default class Record extends SvelteComponentTyped<RecordProps, RecordEvents, RecordSlots> {
}
export {};
